package com.jiayue.ssi.annotation;
/**
* 接口访问频率注解，默认一分钟只能访问5次
*
* @author xsl
* @since 2023/02/23
*/
import java.lang.annotation.*;


@Documented
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
public @interface InterfaceLimit {
    long time() default 1000; // 限制时间 单位：毫秒

    int value() default 5; // 允许请求的次数(默认值：5次）
}
